<?php
	error_reporting(E_ALL & ~E_WARNING & ~E_NOTICE);               //Errors catching
	//error_reporting(E_ERROR | E_WARNING | E_PARSE | E_NOTICE);   //To find all errors
	//error_reporting(E_ALL);	                                   //Report all errors

	header("Content-Type: text/html; charset=utf-8");

	header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");              //No website caching is set here on this lines
	header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT");
	header("Cache-Control: no-store, no-cache, must-revalidate");
	header("Cache-Control: post-check=0, pre-check=0", false);
	header("Pragma: no-cache");

	ini_set("date.timezone", "America/Los_Angeles");               // Date timezone America
?>
<!DOCTYPE html>
<html lang="en">
<head>

	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
	<meta name="description" content="">
	<meta name="author" content="">
	<title>Free Email Contact Form Scripts</title>
	<link rel="icon" type="image/x-icon" href="fav/favicon.ico">

	<!-- ======= Core theme CSS (includes Bootstrap) ======= -->
	<link href="css/bootstrap.min.css?ver=<?php echo uniqid();?>" rel="stylesheet" media="all">
	<link href="css/parallax-style.css?ver=<?php echo uniqid();?>" rel="stylesheet" media="all">
	<link href="css/underline-style.css?ver=<?php echo uniqid();?>" rel="stylesheet" media="all">
	<link href="css/emailform-style-small.css?ver=<?php echo uniqid();?>" rel="stylesheet" media="all">
	<link href="https://use.fontawesome.com/releases/v6.5.1/css/all.css" rel="stylesheet" media="all">

</head>
<body id="page-top">

	<!-- ======= Navigation ======= -->
	<nav class="navbar navbar-expand-lg navbar-dark bg-dark fixed-top" id="mainNav">
		<div class="container px-4">
			<a class="navbar-brand" href="index">Free BS5 FAQ &amp; EmailForms</a>
			<button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarResponsive" aria-controls="navbarResponsive" aria-expanded="false" aria-label="Toggle navigation"><span class="navbar-toggler-icon"></span></button>
			<div class="collapse navbar-collapse" id="navbarResponsive">
				<ul class="navbar-nav ms-auto">
					<li class="nav-item"><a class="nav-link" href="index.php">faq@emailForm</a></li>
					<li class="nav-item"><a class="nav-link" href="contact-small.php">emailForm@small</a></li>
					<li class="nav-item"><a class="nav-link" href="contact-medium.php">emailForm@medium</a></li>
					<li class="nav-item"><a class="nav-link" href="contact-large.php">emailForm@large</a></li>
				</ul>
			</div>
		</div>
	</nav>

	<!-- ======= Header ======= -->
	<header class="parallax-hero-image">
		<div class="container">
			<div class="hero-text gold">
				<h1>Email Contact Form - (Small)</h1>
				<h2>Free PHP Script For Your Website</h2>
				<h2>Scroll Down &#8628;</h2>
			</div>
		</div>
	</header>

	<!-- ======= Text Area Section ======= -->
	<section class="my-5 py-5">
		<div class="container">
		<div class="double-underline-center">
			<h2 class="double-underline">Free Script</h2>
		</div>
			<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor 
			incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco 
			laboris nisi ut aliquip ex ea commodo consequat. Lorem ipsum dolor sit amet, consectetur adipiscing 
			elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, 
			quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.</p>
		</div>
	</section>

	<!-- ======= Email-form Section ======= -->
	<section class="emailform mt-5 mb-5 pt-3 pb-5 box-shadow" id="emailsent" style="background: url('img/gray-abstract-bg.jpg') no-repeat fixed center center; background-size: cover;">
	<div class="container mt-5 mb-0">
		<div class="row justify-content-center">
		<div class="col-lg-12">
		<br>
		<div class="double-underline-center-mint">
			<h2 class="double-underline text-center mb-5">Contact Us</h2>
		</div>
			<form method="post" action="<?php echo htmlspecialchars($_SERVER['PHP_SELF']);?>#emailsent">
			<input name="security" type="hidden" value="secure">
		<div class="row">
			<div class="form-group col-md-6 mb-3">
				<label for="InputName">Your Name<span class="req">*</span></label>
				<input name="name" type="text" class="form-control rounded" id="InputName" placeholder="Write Your Full Name Here" required>
			</div>
			<div class="form-group col-md-6 mb-3">
				<label for="InputEmail">Your Email<span class="req">*</span></label>
				<input name="email" type="email" class="form-control rounded" id="InputEmail" aria-describedby="emailHelp" placeholder="Write Your Email Here" required>
			</div>
        </div>
			<div class="form-group mb-3">
				<label for="TextareaMessage">Your Message<span class="req">*</span></label>
				<textarea style="margin: 0px 0 -4px 0px" name="message" type="text" class="form-control rounded" id="TextareaMessage" rows="6" placeholder="Write Your Message Here" required></textarea>
			</div>
			<div class="form-check ms-2 mb-3">
				<input type="hidden" name="optin" value="0">
				<input type="checkbox" id="opt-in" name="optin" value="1" class="form-check-input" required>
				<label for="opt-in" style="margin: 2px 0 0 4px">
				<strong>APPROVE NOTICE</strong><span class="req">* Mandatory field</span><br>I have understood the information in the <a href="#!"target="_blank">privacy policy</a> and hereby accept it.
				</label>
			</div>
		<?php
			error_reporting(0);
			if (isset($_POST['sendform']) && ($_POST['security'] == 'secure')):
				if (!empty($_POST['email'])):
					if (!empty($_POST['optin'])):

						$formmail = "info(at)example.com"; //Edit to your own recipient email here

						$name = htmlspecialchars(stripslashes(trim($_POST['name'])));
						$email = htmlspecialchars(stripslashes(trim($_POST['email'])));
						$message = nl2br(htmlspecialchars(stripslashes(trim($_POST['message']))));
						//$message = wordwrap($message, 140, "<br/>");

						if (preg_match("/^[^0-9][_a-z0-9-]+(\.[_a-z0-9-]+)*@[a-z0-9-]+(\.[a-z0-9-]+)*(\.[a-z]{2,3})$/", $email)):

						// Date when the email was created
						$name_day = array("Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday");
						$num_day = date("w");
						$day = $name_day[$num_day];
						$date = date("d");
						$month = date("m");
						$year = date("Y");
						$time = date("h:i A");

							$subject = "Company Name - contact form inquiry from: " .$name. "";
							$message = "
								<!DOCTYPE html>
                                <html lang='en'>
                                <head>
								<meta charset='utf-8'>
                                <title>Inquiry email to - Company Name</title>
								<style>
								body {
								  font-family: Arial, Helvetica, sans-serif;
								  font-size: 16px;
								  color: #333;
								}
								table {
								  border-collapse: collapse;
								  max-width: 1000px;
								}
								th {
								  border: 1px solid #e9e9e9;
								  background-color: #dee9ec;
								  font-size: 20px;
								  text-align: left;
								  padding: 6px 10px;
								}
								td {
								  border: 1px solid #e9e9e9;
								  vertical-align: top;
								  font-size: 16px;
								  text-align: left;
								  padding: 6px 10px;
								}
								.spacer {
								  border: 0px;
								  padding: 4px 0px;
								}
								.col-td-1 {
								  width: 18%;
								  font-weight: bold;
								  background-color: #fafafa;
								}
								.col-td-2 {
								  width: 82%;
								}
								</style>
                                </head>
								<body>
								<table>
								<tr>
								  <th colspan=\"2\" width=\"100%\">&#9993;&nbsp; E-mail contact request to - Company Name</th>
								</tr>
								<tr>
								  <td colspan=\"2\" width=\"100%\" class=\"spacer\"></td>
								</tr>
								<tr>
								  <td class=\"col-td-1\">The date of receipt:</td><td class=\"col-td-2\">" .$day. ", " .$date. "/" .$month. "/" .$year. " - " .$time. "</td>
								</tr>
								<tr>
								  <td class=\"col-td-1\">The sender's name:</td><td class=\"col-td-2\">" .$name. "</td>
								</tr>
								<tr>
								  <td class=\"col-td-1\">The e-mail address:</td><td class=\"col-td-2\">" .$email. "</td>
								</tr>
								<tr>
								  <td class=\"col-td-1\">The query message:</td><td class=\"col-td-2\">" .$message. "</td>
								</tr>
								</table>
								<br/><br/><br/>
								</body>
								</html>
							";

							$userSubject = "Your inquiry to - Company Name - has been received.";
							$userMessage = "
								<!DOCTYPE html>
								<html lang='en'>
								<head>
								<meta charset='utf-8'>
								<title>Thank you for your inquiry to us</title>
								<style>
								body {
								  font-family: Arial, Helvetica, sans-serif;
								  font-size: 16px;
								  color: #333;
								}
								p {
								  font-size: 16px;
								}
								</style>
								</head>
								<body>
								  <p>Dear " .$name. "</p>
								  <p>Thank you for your email inquiry to us.<br>You will receive an answer from us as soon as possible :)</p>
								  <p>Kind regards from - Company Name</p>
								</body>
								</html>
							";

							$headers = "MIME-Version: 1.0" . "\r\n";
							$headers .= "Content-Transfer-Encoding: 8bit" . "\r\n";
							$headers .= "Content-Type: text/html; charset=utf-8" . "\r\n";
							$headers .= "From: " .$email. "\r\n";
							$headers .= "Reply-To: " .$email. "\r\n";
							$headers .= "Date: " .date("D, d M Y h:s:i"). " +0200" . "\r\n";
							$headers .= "X-Mailer: PHP/ " .phpversion(). "\r\n\r\n";

							mail($email, $userSubject, $userMessage, $headers);

							if(mail($formmail, $subject, $message , $headers)):
								echo '
									<div class="alert alert-success" role="alert">
										Thank you ' .$name. '! Your contact request has submitted successfully, we will get back to you soon.
									</div>
								';
							else :
								echo '
									<div class="alert alert-danger" role="alert">
										Your request was not sent ' .$name. '! Something has gone wrong - try again or try again later.
									</div>
								';
							endif;

						else :
							echo '
								<div class="alert alert-danger" role="alert">
									Please enter a valid email address.
								</div>
							';
						endif;

					else :
						echo '
							<div class="alert alert-danger" role="alert">
								Have you read the privacy policy? So please confirm.
							</div>
						';
					endif;

				else :
					echo '
						<div class="alert alert-danger" role="alert">
							Please enter an email address.
						</div>
					';
				endif;
			endif;
		?>
			<button type="submit" name="sendform" class="btn mb-5 rounded"><i class="fa-solid fa-paper-plane pe-2"></i>SEND EMAIL</button>
		</form>
		</div>
		</div>
		</div>
	</section><!-- End Email-form Section -->

	<!-- ======= Text Area Section ======= -->
	<section class="my-5 py-5">
		<div class="container">
		<div class="double-underline-center">
			<h2 class="double-underline">More Info</h2>
		</div>
			<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor 
			incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco 
			laboris nisi ut aliquip ex ea commodo consequat. Lorem ipsum dolor sit amet, consectetur adipiscing 
			elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, 
			quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.
			Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor 
			incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco 
			laboris nisi ut aliquip ex ea commodo consequat. Lorem ipsum dolor sit amet, consectetur adipiscing 
			elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, 
			quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.
			Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor 
			incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco 
			laboris nisi ut aliquip ex ea commodo consequat. Lorem ipsum dolor sit amet, consectetur adipiscing 
			elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, 
			quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.</p>
		</div>
	</section>

	<!-- ======= Footer ======= -->
	<footer class="py-5 bg-dark">
		<div class="container px-4"><p class="m-0 text-center text-white">Copyright &copy; <script>document.write(new Date().getFullYear());</script> -  Your Website - All Rights Reserved</p></div>
	</footer>

	<!-- ======= Bootstrap core JS ======= -->
	<script src="js/bootstrap.bundle.min.js?ver=<?php echo uniqid();?>"></script>

	<!-- ======= Core hero parallax JS ======= -->
	<script src="js/parallax-script.js?ver=<?php echo uniqid();?>"></script>

	<!-- ======= Core theme JS ======= -->
	<script src="js/main-script.js?ver=<?php echo uniqid();?>"></script>

</body>
</html>